Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Endpoint_Strategy.h File Reference

`#include "AVStreams_i.h"`
`#include "tao/PortableServer/ORB_Manager.h"`
`#include "Endpoint_Strategy_T.h"`

Include dependency graph for Endpoint_Strategy.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_AV_Endpoint_Process_Strategy
| Process-based strategy for creating endpoints. Abstract base class. More...
class | TAO_AV_Endpoint_Process_Strategy_A
| Process-based strategy to create "A" type endpoints. More...
class | TAO_AV_Endpoint_Process_Strategy_B
| Process-based strategy to create "B" type endpoints. More...
class | TAO_AV_Endpoint_Strategy

## Detailed Description

Id:
  Endpoint_Strategy.h,v 5.18 2003/07/21 23:51:30 dhinton Exp

Author:
  Sumedh Mungee <sumedh@cs.wustl.edu>